#ifndef _LOGCOMPONENT_H_
#define _LOGCOMPONENT_H_

#include "JuceHeader.h"

// ---------------------------------------------------
class LogHandler
{
public:
	LogHandler() {}
	virtual ~LogHandler() {}
	virtual void handleMessage(String msg) = 0;

};

class LogComponent
{
public:
	LogComponent(LogHandler *pLogHandler);
	~LogComponent(void);

	void log(const char* format, ...);

private:
	LogHandler *m_pLogHandler;
};

#endif // _LOGCOMPONENT_H_
